locked
如果服务器未安装.NET Framework 3.5 SP1,只安装了3.5版本,那么SliverLight程序能否成功运行? RRS feed

  • 问题

  • 如果服务器未安装.NET Framework 3.5 SP1,只安装了3.5版本,那么SliverLight程序能否成功运行?
    做最好的自己
    2009年8月15日 15:46

答案

  • Silverlight是客户端程序,应该是和服务器端没有任何关系的,只要下载并安装Silverlight即可。不过我没有验证过。
    2009年8月15日 16:11
  • 安装.NET Framework 3.5 SP1只是开发人员的必须环境,部署服务器可以不安装.NET Framework

    【孟子E章】
    2009年8月16日 13:34
  • 你好 Silverlight程序是否能成功运行 取决于客户端是否安装了Silverlight以及版本是否能够兼容当前版本,而与服务器端无关系的

    如果你的Silverlight中用到了与服务器通信等很多功能,比如WebSerivce等,而这些中你又用到了3.5 sp1 那么这个时候才有必要在服务器端安装的
    Wenn ich dich hab’,gibt es nichts, was unerträglich ist.坚持不懈!http://hi.baidu.com/1987raymond
    2009年8月17日 1:39
  • 只要设置iis映射silverlight的扩展名就可以

    2009年8月17日 2:01
  • 如果为开发那么必须安装SP1如果不是则不需要,部署服务器上只需要配置两个MIME就可

    2009年8月17日 3:29
  • 能运行,Silverlight 是脱离 .net framework 运行的程序
    努力!写一个js解析器,一个svg插件,一个绘图程序,做好自己,呵呵~!
    2009年8月18日 1:46

全部回复

  • Silverlight是客户端程序,应该是和服务器端没有任何关系的,只要下载并安装Silverlight即可。不过我没有验证过。
    2009年8月15日 16:11
  • 安装.NET Framework 3.5 SP1只是开发人员的必须环境,部署服务器可以不安装.NET Framework

    【孟子E章】
    2009年8月16日 13:34
  • 你好 Silverlight程序是否能成功运行 取决于客户端是否安装了Silverlight以及版本是否能够兼容当前版本,而与服务器端无关系的

    如果你的Silverlight中用到了与服务器通信等很多功能,比如WebSerivce等,而这些中你又用到了3.5 sp1 那么这个时候才有必要在服务器端安装的
    Wenn ich dich hab’,gibt es nichts, was unerträglich ist.坚持不懈!http://hi.baidu.com/1987raymond
    2009年8月17日 1:39
  • 只要设置iis映射silverlight的扩展名就可以

    2009年8月17日 2:01
  • 如果为开发那么必须安装SP1如果不是则不需要,部署服务器上只需要配置两个MIME就可

    2009年8月17日 3:29
  • 能运行,Silverlight 是脱离 .net framework 运行的程序
    努力!写一个js解析器,一个svg插件,一个绘图程序,做好自己,呵呵~!
    2009年8月18日 1:46